build Orafce 3.3 for MS Windows platform

1296 views
Skip to first unread message

Pavel Stehule

unread,
Apr 11, 2016, 8:17:49 AM4/11/16
to orafce-...@googlegroups.com
Hi,

here is compiled dll for MS Win PostgreSQL 9.2, 9.3, 9.4 and 9.5.

Install steps:

1. unzip to some directory
2. choose right dll file, rename to orafce dll and copy to PostgreSQL lib directory
3. copy orafce.control and *.sql files to PostgreSQL share/extension directory

as user postgres run "create extension orafce" in choosed database.

Regards

Pavel


orafce-3.3.zip

PAscal L

unread,
Apr 11, 2016, 4:21:47 PM4/11/16
to Better Oracle functions support
Great, I will test it next week !
Thank you

Regards
PAscal

Nguyen Van Hoang

unread,
Apr 18, 2016, 11:01:08 PM4/18/16
to Better Oracle functions support
Useful, thank Pavel. This zip save more time for me.

Dne pondělí 11. dubna 2016 19:17:49 UTC+7 Pavel Stehule napsal(a):

Jab Jolt

unread,
May 19, 2016, 3:31:41 AM5/19/16
to Better Oracle functions support
Thanks a lot, Pavel! It works fine!
Tested on Windows Server 2008 x64, with running Postgre 9.5 (x64) on it.

Can you tell some way to circumvent the "oracle." prefix in using oracle functions? May be there is a way to extend or add namespace in Postgre?

Thanks in advance!

Pavel Stehule

unread,
May 19, 2016, 3:45:40 AM5/19/16
to orafce-...@googlegroups.com
ALTER DATABASE xxx SET search_path = oracle,public;

Pavel


Thanks in advance!

--
You received this message because you are subscribed to the Google Groups "Better Oracle functions support" group.
To post to this group, send email to orafce-...@googlegroups.com.
Visit this group at https://groups.google.com/group/orafce-general.

Sreenivasa Atchi

unread,
Feb 8, 2020, 12:56:18 AM2/8/20
to Better Oracle functions support
Hi Pavel,
   I am new to Postgres world. I tried to create orafce in my Postgres 11 on windows 7 but got below error.
   ERROR: could not load library "C:/Program Files/PostgreSQL/11/lib/orafce.dll": The specified procedure could not be found.

I copied all files from orafce-3.3.zip.
Please help me in this.

Thanks,
Srini

Pavel Stehule

unread,
Feb 8, 2020, 1:30:14 AM2/8/20
to orafce-...@googlegroups.com
Hi,

Orafce 3.3 is probably too old, where PostgreSQL 11 was not supported.

Postgres extensions have to be compiled against choosed Postgres release. You cannot to use Orafce for Postgres 10 with Postgres 11.


Install steps:

1. unzip to some directory
2. choose right dll file, rename to orafce dll and copy to PostgreSQL lib directory
3. copy orafce.control and *.sql files to PostgreSQL share/extension directory

as user postgres run "create extension orafce" in choosed database.

Regards

Pavel

so 8. 2. 2020 v 6:56 odesílatel Sreenivasa Atchi <srat...@gmail.com> napsal:
--
You received this message because you are subscribed to the Google Groups "Better Oracle functions support" group.
To unsubscribe from this group and stop receiving emails from it, send an email to orafce-genera...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/orafce-general/6ecc5e57-4c75-4a47-8230-67ae50fcafa8%40googlegroups.com.

Sreenivasa Atchi

unread,
Feb 8, 2020, 9:01:14 AM2/8/20
to orafce-...@googlegroups.com

Pavel Stehule

unread,
Feb 8, 2020, 9:11:23 AM2/8/20
to orafce-...@googlegroups.com
:)

Pavel

so 8. 2. 2020 v 15:01 odesílatel Sreenivasa Atchi <srat...@gmail.com> napsal:

Su Vay Tranh

unread,
Nov 9, 2021, 1:41:51 PMNov 9
to Better Oracle functions support
Hi @Pavel Stehule, 

Currently, I have been doing as your instructions, however, I got the following error
Error.JPG

Could you please give me some instructions to fix this problem? I am installing orafce on Windows 10 environment and PostgreSQL 13. 

I am looking forward your response. Thanks 

Reply all
Reply to author
Forward
0 new messages